> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/twthyq-api/nzrh-aamh-ala-tlbat-geopard-api/82.-alastalam-astaadh-ahdath-alashtrak.md).

# 82. الاستعلام: استعادة أحداث الاشتراك

من الجيد دائمًا إتاحة إمكانية استعادة/إعادة فحص أحداث الاشتراك المرسلة مقابل المنتجة. لذلك تقوم GeoPard بتخزين سجل كل أحداث الاشتراك المنتجة لـ **آخر 12 شهرًا**.&#x20;

الحالات الشائعة:&#x20;

* اتصال إنترنت سيئ ولم تُسلم الأحداث
* إعادة نشر مستمع WebSocket
* فحص التناسق بين الأحداث المستلمة مقابل المنتجة

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

مرشحات الإدخال المدعومة:

* `dateFrom` كتاريخ-زمن بصيغة ISO 8701 (مثال: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` كتاريخ-زمن بصيغة ISO 8701 (مثال: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` كمصفوفة من معرفات UUID لـ"المزرعة" للبحث
* `fieldUuids` كمصفوفة من معرفات UUID لـ"الحقل" للبحث&#x20;
* `userUuids` كمصفوفة من UUIDs للمستخدمين للبحث
* `eventUuids` كمصفوفة من معرفات UUID لأحداث الاشتراك

{% hint style="info" %}
تعمل كل عوامل التصفية كمنطق **AND**.
{% endhint %}

{% hint style="info" %}
كل حدث اشتراك له سمة `executionDate` مرتبطة بلحظة الإرسال بصيغة AWSDateTime المتوافقة مع ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/twthyq-api/nzrh-aamh-ala-tlbat-geopard-api/82.-alastalam-astaadh-ahdath-alashtrak.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
